Вход | Регистрация
 
1С:Предприятие :: 1С:Предприятие 8 общая

8.3.14 и 8.3.13 - ошибка при попытке подключения через тонкий/web-клиент.

8.3.14 и 8.3.13 - ошибка при попытке подключения через тонкий/web-клиент.
Я
   Dmitry_333
 
31.05.19 - 00:13
Всем привет. Имеется: локальная сеть, файловые базы опубликованнные на web-сервере (Apache), подключение по тонкому/web-клиенту. На сервере и у клиентов - 8.3.13. Среди баз появилась самописка, написанная в релизе 8.3.14. По толстому запускается, по тонкому выдает ошибку - строка http с нечитаемой строкой символов без внятных пояснений.
Режим совместимости включен (8.3.12).

Подскажите пожалуйста, как побороть сиё?
 
 
   Garykom
 
1 - 31.05.19 - 00:24
Никак, кроме отката конфы на старую платформу, как вы это провернете вопрос.
   Dmitry_333
 
2 - 31.05.19 - 00:30
(1) Но хоть какие-то наводки есть, как попробовать откатить?-)
   zva
 
3 - 31.05.19 - 06:53
Самописка-то на 8.3.14 в тонком клиенте работает?
   Dmitry_333
 
4 - 31.05.19 - 09:51
(3) в этом же и вопрос - не работает, только в толстом.
   Фрэнки
 
5 - 31.05.19 - 10:04
хы... так веб-клиент равнозначен тонкому клиенту и если самописка на платформе 8.3.14 написана только под принудительно использование толстого клиента в свойствах конфигурации, то ни в тонком, ни в веб она не запустится
   Cyberhawk
 
6 - 31.05.19 - 10:14
Запусти тонкий для начала из конфигуратора, т.е. чтобы не через хттп
   Cyberhawk
 
7 - 31.05.19 - 10:14
Может щас еще выяснится что конфигурация на ОФ? :)
   Dmitry_333
 
8 - 31.05.19 - 10:42
(7) 8.3.14 и на ОФ?-) Нет, УФ.
   Фрэнки
 
9 - 31.05.19 - 10:54
(8) можно и на УФ, но сдуру в настройках конфига забыть указать нужные свойства
   ptiz
 
10 - 31.05.19 - 10:57
(0) Из описания непонятно: вы всё-таки платформой 8.3.13 или платформой 8.3.14 подключаетесь к проблемной конфигурации?
   Dmitry_333
 
11 - 31.05.19 - 11:01
(10) 8.3.13
   Dmitry_333
 
12 - 31.05.19 - 11:03
(9) перепроверил, принудительного использование толстого клиента нет
   spiller26
 
13 - 31.05.19 - 11:08
Непонятно, все базы так себя ведут или только эта?
   ptiz
 
14 - 31.05.19 - 11:12
(11) А если запустить на 8.3.14 ?
   Dmitry_333
 
15 - 31.05.19 - 11:15
Решилось. Скопировал базу и открыл на компе с 8.3.14, установил режим совместимости с 8.3.13, перенес обратно, и по-тонкому заработало.
   ptiz
 
16 - 31.05.19 - 11:15
(15) Лучше вообще выгрузить/загрузить на 8.3.13
   Dmitry_333
 
17 - 31.05.19 - 11:22
(16) всмысле создать голую базу на 8.3.13 и туда загрузить dt из этой базы?
   ptiz
 
18 - 31.05.19 - 11:26
(17) Да. Чтобы исключить возможные косяки, которые могут приплыть из 8.3.14.
   Dmitry_333
 
19 - 31.05.19 - 11:30
(18) Ок. Спасибо.
   Cyberhawk
 
20 - 31.05.19 - 12:08
Судя по (15), кто-то поставил режим совместимости 8.3.14 ("Не использовать" в конфигураторе 8.3.14) и потом перелил конфу в 8.3.13?
   Dmitry_333
 
21 - 07.06.19 - 13:44
(20) Не, конфа изначально была написана в 8.3.14
   Cyberhawk
 
22 - 07.06.19 - 13:59
Ну тем более странно ожидать, что она может быть загружена без понижения режима совестимости в более старую платформу


Список тем форума
Рекламное место пустует  Рекламное место пустует
ВНИМАНИЕ! Если вы потеряли окно ввода сообщения, нажмите Ctrl-F5 или Ctrl-R или кнопку "Обновить" в браузере.